# Aspose.BarCode Cloud SDK For Ruby
This SDK lets you use [Aspose Cloud Barcode APIs](http://www.aspose.com/cloud/barcode-api.aspx) in your Ruby web apps.

<p align="center">
  <a title="Download complete Aspose.BarCode for Cloud source code" href="https://github.com/asposebarcode/Aspose_BarCode_Cloud/archive/master.zip">
	<img src="https://raw.github.com/AsposeExamples/java-examples-dashboard/master/images/downloadZip-Button-Large.png" />
  </a>
</p>

##How to use the SDK?
The complete source code is available in this repository folder, you can either directly use it in your project or use RubyGems. For more details, please visit our [documentation website](http://www.aspose.com/docs/display/barcodecloud/Available+SDKs).

## Usage
APIs of this SDK can be called as follows:

```ruby
require 'aspose_barcode_cloud'

class BarcodeUsage
  
  include AsposeBarcodeCloud
  include AsposeStorageCloud
	
  def initialize
    #Get App key and App SID from https://cloud.aspose.com
    AsposeApp.app_key_and_sid("APP_KEY", "APP_SID")
    @barcode_api = BarcodeApi.new  
  end
  
  def get_barcode_generate
    #Generate barcode.
    opts = {text: "Dairy Products", type: "qr", format: "png"}
    response = @barcode_api.get_barcode_generate(opts)
  end
  
end
```
## Unit Tests
Aspose Barcode SDK includes a suite of unit tests within the [test](https://github.com/asposebarcode/Aspose_BarCode_Cloud/blob/master/SDKs/Aspose.BarCode_Cloud_SDK_for_Ruby/test/barcode_tests.rb) subdirectory. These Unit Tests also serves as examples of how to use the Aspose Barcode SDK.

##Contact Us
Your feedback is very important to us. Please feel free to contact us using our [Support Forums](https://www.aspose.com/community/forums/).
